gslmultiroots_lib = static_library('gslmultiroots',
	[
		'fdjac.c',
		'fsolver.c',
		'fdfsolver.c',
		'convergence.c',
		'newton.c',
		'gnewton.c',
		'dnewton.c',
		'broyden.c',
		'hybrid.c',
		'hybridj.c'
	],
	include_directories : '..'
)
gslmultiroots_dep = declare_dependency(link_with : gslmultiroots_lib)


gsl_tests += [ [ 'GSL Multidimensional Root Finding Test', files(
		'test.c',
		'test_funcs.c',
		'test_funcs.h'
	) ] ]
